$mintColor: #acd8ad;
$mainBackgroundColor: #373c3f;
$navHeight: 36px;
$fontSize: 12px;
$sloganHeight: 174px;
$mainMenuLinkHeight: 75px;

a {
  text-decoration: none;
}

body {
  font-family: 'Lato', sans-serif;
  font-size: $fontSize;
}

.header {
  height: $navHeight;
  background-color: $mainBackgroundColor;
  position: relative;
}

.nav {
  &-title {
      padding: 12px 18px;
      color: #fff;
      font-family:'Montserrat', 'sans-serif';
  }

  &-item-list {
    background-color: #f5f5f5;
    position: absolute;
    top: $navHeight;
    right: 0;
  }

  &-item {
    padding: 14px 12px;
    display: block;
    color: black;
  }

  &-item:hover {
    background-color: #dddddd;
  }

  &-item-container:not(:last-child) {
    border-bottom: 1px solid rgb(230, 230, 230);
  }
}

.open-nav-menu-btn, .close-nav-menu-btn {
  position: absolute;
  height: $navHeight;
  width: $navHeight;
  top: 0;
  right: 0;  
  padding: 0;
  color: white;
  background-color: #202529;
  outline: none;
  border: none;
}

.hidden {
  display: none;
}

.open-nav-menu-btn:hover {
  cursor: pointer;
}

/* ******************* */

.slogan {
  box-sizing: border-box;
  background-image: url("../img/640/pizza.png");
  background-size: cover;
  height: $sloganHeight;
  margin-bottom: 4px;

  &-text {
    color: white;
    line-height: 1.4em;
    padding: 14px 20px 8px;
    font-size: 16px;
    font-family: 'Lato', sans-serif;
    font-weight: bold;
  }

  &-url {
    color: aquamarine;
    padding-left: 20px;
    font-size: 14px;
    font-weight: bold;
  }
}

/* ********** */

.main-menu-link-item {
  margin: 2px 0;
}

.main-menu-link {
  height: $mainMenuLinkHeight;
  display: flex;
}

.link-text {
  text-align: center;
  flex-grow: 7;
  line-height: 75px;
  font-size: 20px;
  color: white;
}

.delivery {
  background-image: url("../img/640/delivery.png");
  background-size: cover;
  background-position: -65px 88px;
}

.salads {
  background-image: url("../img/640/salads.png");
  background-size: cover;
  background-position: -37 80px;
}

.desserts {
  background-image: url("../img/640/desserts.png");
  background-size: cover;
  background-position: -35px -40px;
}


.link-decor-arrow{
  background-color: $mintColor;
  width: 70px;
  line-height: 75px;
  text-align: center;
  color: white;
}

.arrow {
  border: solid white;
  border-width: 0 2px 2px 0;
  display: inline-block;
  padding: 3px;
}
.right {
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
}



/* ********** */
.menu-title {
  margin-top: 20px;
  margin-bottom: 10px;
  padding: 0 7px;

  &-text {
    font-size: 20px;
    text-transform: uppercase;
  }

  &-description {
    padding-top: 5px;
    font-size: 10px;
    color: #cbccce;
  }
}

.sub-menu {
  padding: 8px 18px;
  font-size: 20px;
  text-transform: uppercase;
}

.sub-menu-1 {
  background-color: $mainBackgroundColor;
  color: $mintColor;
}
.sub-menu-2 {
  background-color: $mintColor;
  color: white;
  margin-top: 32px;
}

.sub-sub-menu-title {
  height: 25px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 12px;
  padding-bottom: 16px;
}

.sub-sub-menu-title-text {
  font-size: 15px;
  text-transform: uppercase;
}

.menu-icon {
  height: 25px;
  width: 25px;
}

#sub-sub-menu-icon1 {
  background-image: url("../img/menu-icons/frost.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

#sub-sub-menu-icon2 {
  background-image: url("../img/menu-icons/glass.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

#sub-sub-menu-icon3 {
  background-image: url("../img/menu-icons/cofe.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

#sub-sub-menu-icon4 {
  background-image: url("../img/menu-icons/bear.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}



.prices-wrapper {
  width: 90%;
  margin: 0 auto;
}

/* ************** */
.meal-container {
  margin-bottom: 10px;
}

.meal-name-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 6px;
  font-size: 14px;
}

.meal-container:last-child {
  margin-bottom: 3px;
}

.meal-price {
  font-weight: bold;
}

.meal-description {
  font-size: 10px;
  line-height: 1em;
}

.meal-name::before {
  content: "\2219";
  display: inline-block;
  padding-right: 2px;
}

.footer {
  background-color: #acd8ad;
  font-size: 12px;
  line-height: 1.2em;
  padding: 10px;
  color: white;
  margin-top: 48px;
  text-align: center;
}





@media screen and (min-width: 640px) {

  .header {
    height: 2*$navHeight;
  }
  .nav {
    &-title {
      font-size: 2*$fontSize;
      padding: 24px 36px;
    }
  }

  .nav-item-list {
    top: 2*$navHeight;
    min-width: 214px;
  }

  .nav-item {
    padding-left: 20px;
  }

  .open-nav-menu-btn, .close-nav-menu-btn {
    height: 2*$navHeight;
    width: 2*$navHeight;
    font-size: 2*$fontSize;
  }

  .slogan {
    height: 2*$sloganHeight;

    &-text, &-url {
      font-size: 32px;
    }
  }

  .main-menu-link {
    height: 2*$mainMenuLinkHeight;

    &-item {
      margin: 4px 0;
    }
  }

  .menu-title {
    margin-top: 40px;
    margin-bottom: 20px;

    &-text {
      font-size: 40px;
    }
    &-description {
      font-size: 20px;
    }
  }

  .link-text {
      font-size: 40px;
      line-height: 2*$mainMenuLinkHeight;
    }

  .link-decor-arrow {
    line-height: 2*$mainMenuLinkHeight;
    width: 2*$mainMenuLinkHeight;
  }

  .arrow {
    padding: 6px;
  }

  .delivery {
    background-position: 0px 200px;
  }
  .salads {
    background-position: 0px 200px;
  }
  .desserts {
    background-position: 0px 200px;
  }

  .sub-menu {
    padding: 16px 36px;
    font-size: 40px;
  }

  .sub-menu-2 {
    margin-top: 64px;
  }

  .sub-sub-menu-title {
    height: 50px;
    padding-top: 24px;
    padding-bottom: 32px;

    &-text {
      font-size: 32px;
    }
  }

  .menu-icon {
    height: 50px;
    width: 50px;
  }

  .meal-container:last-child {
    margin-bottom: 6px;
  }

  .meal-name-container {
    margin-bottom: 12px;
    font-size: 28px;
  }

  .meal-description {
    font-size: 20px;
  }

  .meal-price {
    font-size: 20px;
  }

  .footer {
    font-size: 2*$fontSize;
  }

}



@media screen and (min-width: 980px) {

  .header {
    height: 98px;
    background-color: $mainBackgroundColor;
    position: relative;
  }

  .nav {
    display: none;
    &-title {
      display: none;
    }
  }

  .logo {
    background-image: url("../img/logo.png");
    background-position: center;
    background-size: contain;
    height: 83px;
    width: 104px;
    position: absolute;
    top:50%;
    right: 30px;
    transform: translateY(-50%);
  }

  .nav-item-list {
    padding-left: 16px;
    height: 100%;
    position: relative;
    background-color: $mainBackgroundColor;
    top:0;
    display: block;
    min-width: 214px;
  }

  .nav-item-container:not(:last-child) {
    border-bottom: none;
  }
  .nav-item-container {
    display: inline-block;
  }

  .nav-item {
    font-size: 15px;
    color: white;
    line-height: 98px;
    padding: 0 16px;
    text-transform: uppercase;
  }

  .open-nav-menu-btn, .close-nav-menu-btn {
    display: none;
  }

  .slogan {
    height: 530px;

    &-text {
      font-size: 54px;
      padding: 64px 30px 30px;
    }

     &-url {
       font-size: 34px;
       padding: 30px;
     }
  }

  .main-menu-links {
    display: flex;
    justify-content: stretch;
  }

  .main-menu-link {
    height: 327px;

    &-item {
      margin: 4px 0;
      flex-grow: 1;
    }
  }

  .menu-title {
    margin-top: 40px;
    margin-bottom: 20px;

    &-text {
      font-size: 40px;
    }
    &-description {
      font-size: 20px;
    }
  }

  .link-text {
      font-size: 40px;
      line-height: 327px;
    }

  .link-decor-arrow {
   display: none;
  }

  .delivery, .desserts, .salads {
    background-position:center;
  }

  .menu-section-wrapper {
    display: flex;
  }

  .sub-menu-2 {
    margin-top: 0;
  }
}


@media screen and (min-width: 1200px) {

  .slogan {
    height: 650px;
    background-image: url("../img/1200/pizza1200.png");
  }

  .main-menu-link {
    height: 400px;

    &-item {
      margin: 4px 0;
      flex-grow: 1;
    }
  }

  .link-text {
      line-height: 400px;
    }

  .link-decor-arrow {
   display: none;
  }

  .delivery {
    background-position:center;
    background-image: url("../img/1200/delivery1200.png");
  }
  .salads {
    background-position:center;
    background-image: url("../img/1200/salads1200.png");
  }
  .desserts {
    background-position:center;
    background-image: url("../img/1200/desserts1200.png");
  }

  .menu-section-wrapper {
    display: flex;
  }
}